@rem SPDX-License-Identifier: BSD-3-Clause
@rem Copyright (c) 2018 Rafal Kozik
@rem All rights reserved.
@rem
@rem Assemble
@rem
@rem Based on http://www.martinhubacek.cz/arm/arm-cortex-bare-metal-assembly/
@rem                 stm32f0-cortex-m0-bare-metal-assembly

set name=%1

arm-none-eabi-as -g -mthumb -mcpu=cortex-m0 -o %name%.o %name%.S
arm-none-eabi-ld -Ttext 0x8000000 %name%.o -o %name%.elf   
arm-none-eabi-objcopy -S -O binary %name%.elf %name%.bin
arm-none-eabi-size %name%.elf

pause
